Subject: bug#21669: 25.0.50; file-notify-tests failure on Fedora x86-64

From: Michael Albinus <[email-masked]>
Date: Sat, 17 Oct 2015 11:27:37 +0200

Paul Eggert <[email-masked]> writes:

> Unfortunately it does not. Most of the time file-notify-tests
> succeeds, but it occasionally fails. I'm attaching a failure log,
> generated from commit 1e1a326c0f609f403c625bd9082e1099a4d9a52a and
> built with GCC 5.2 on Fedora 21 x86-64 with './configure
> --enable-gcc-warnings'.
>
> Running 12 tests (2015-10-16 13:14:40-0700)
> Local library: `inotify'
>    passed   1/12  file-notify-test00-availability
> Remote command: `gvfs-monitor-dir'
>
> 1 unexpected results:
>    FAILED  file-notify-test02-events-remote

Well, with gfilenotify it is known that there are timimg issues if
events occur in short period. Some of them are suppressed then, likely
as performance feature of gio.

With the local gfilenotify library (not used in your case) I could fix
this; the remote gvfs-monitor-dir process does not offer an argument for
changing the timing.

I've changed file-notify-tests.el in order to handle this. Could you,
pls, check?

Best regards, Michael.